AttachL3NetworkToVm
AttachL3NetworkToVm
POST
/zstack/v1/vm-instances/{vmInstanceUuid}/l3-networks/{l3NetworkUuid}Operation ID
AttachL3NetworkToVmSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
vmInstanceUuidStringRequiredThe VM instance UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
staticIpStringOptional. Specifies the IP address to be allocated to the VM instance.
driverTypeStringRequiredThe NIC driver type.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
